<creole>
    <files>
        <service_access service='glusterd'>
            <port>24007</port>
            <port>24008</port>
            <port>49152</port>
            <port>38465</port>
            <port>38466</port>
            <port>38467</port>
        </service_access>
    </files>
    <variables>
        <family name='glusterfs' icon='leaf'>
            <variable name='glusterfs_servername' description='Nom du noeud du glusterfs' type="domain_strict" mandatory="True" auto_freeze="True"/>
            <variable name='glusterfs_remote_servername' description='Nom des noeuds du glusterfs' multi="True" type="domain_strict" mandatory="True" auto_freeze="True"/>
            <variable name='glusterfs_name' description='Nom du volume' type="string" mandatory="True" auto_freeze="True"/>
            <variable name='glusterfs_dirname_data' description='Répertoire contenant les données du cluster' type="filename" mandatory="True" auto_freeze="True"/>
            <variable name='glusterfs_dirname' description='Point de montage du glusterfs' type="filename" mandatory="True" auto_freeze="True"/>
        </family>
    </variables>
    <constraints>
        <fill name='calc_val' target='glusterfs_servername'>
            <param type='eole' name='valeur'>nom_domaine_machine</param>
        </fill>
    </constraints>
    <help>
        <family name='glusterfs'>Configuration du système de fichiers distribué GlusterFS</family>
    </help>
</creole>
